Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 135387 - CAN-2004-0835 MySQL flaws (CAN-2004-0836, CAN-2004-0837, CAN-2004-0957)
CAN-2004-0835 MySQL flaws (CAN-2004-0836, CAN-2004-0837, CAN-2004-0957)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mysql (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 09:33 EDT by Mark J. Cox
Modified: 2013-07-02 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 15:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2004-10-12 09:33:06 EDT
The following flaws have recently been publicised in MySQL, public on
Oct11

        CAN-2004-0835 ALTER TABLE ... RENAME checks wrong rights
        http://bugs.mysql.com/bug.php?id=3270

        CAN-2004-0836 buffer overrun in mysql_real_connect
        http://bugs.mysql.com/bug.php?id=4017

        CAN-2004-0837 server crash due to locking
        http://bugs.mysql.com/2408

All these issues affect the mysql-server subpackage only, which was
not shipped in RHEL3 but was made available via the unsupported RHN
"Extras" channel.
Comment 2 Mark J. Cox 2004-10-18 12:44:01 EDT
Also

        CAN-2004-0957 Privilege Escalation on GRANT ALL ON `Foo\_Bar`
        http://bugs.mysql.com/bug.php?id=3933
Comment 3 Josh Bressers 2004-10-20 15:41:30 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html

Note You need to log in before you can comment on or make changes to this bug.